Get pdf 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company/{companyId}/pdf-reports/{reportId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required
  • reportId integer(int32) Required

Query parameters

  • isAttachment boolean Required
  • reportType string

    Values are CHANGES, CUSTOM, CUSTOM_EXECUTIVE, DELAY_TABLE, EXECUTIVE_DASHBOARD, GANTT, NARRATIVE, PINK, PROJECT_SUMMARY, QUALITY, QUALITY_THRESHOLD, RFIS, SUBMITTALS, SUMMARY, SHOULD_START_AND_FINISH, TREND_CHARTS, or VELOCITY.

  • profileId integer(int64)

Responses

  • 200 application/pdf

    OK

GET /company/{companyId}/pdf-reports/{reportId}
curl \
 --request GET 'https://live.smartpmtech.com/company/{companyId}/pdf-reports/{reportId}?isAttachment=true' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"